#!/usr/bin/ruby

frm = 0
fovx = 75.0
fovy = 75.0
yaw   = 0.0
pitch = 0.0
frames = 300
while frm < frames;
  yaw   = 360.0*frm/frames - 180.0
  pitch = 90.0*Math.sin(frm*1.0/(frames*1.0)*2.0*Math::PI)
  printf("%d %.2f %.2f %.2f %.2f\n", frm, fovx, fovy, yaw, pitch)
  frm  += 1
end
